Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.serialize
Class Method

    java.lang.Object
      |
      +--weblogic.apache.xalan.serialize.Method

public final class Method
extends java.lang.Object

Names of the four default output methods.

Four default output methods are defined: XML, HTML, XHTML and TEXT. Serializers may support additional output methods. The names of these output methods should be encoded as `namespace:local`.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  Alpha
Author:
  Assaf Arkin

Field Summary
`static java.lang.String` | `HTML` The output method for HTML documents: `html`.
`static java.lang.String` | `Text` The output method for text documents: `text`.
`static java.lang.String` | `XHTML` The output method for XHTML documents: `xhtml`.
`static java.lang.String` | `XML` The output method for XML documents: `xml`.

Constructor Summary
`Method()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML

    public static final java.lang.String XML

  The output method for XML documents: `xml`.

### HTML

    public static final java.lang.String HTML

  The output method for HTML documents: `html`.

### XHTML

    public static final java.lang.String XHTML

  The output method for XHTML documents: `xhtml`.

### Text

    public static final java.lang.String Text

  The output method for text documents: `text`.

Constructor Detail

### Method

    public Method()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference